package com.gyee.frame.service;

import java.util.List;
import java.util.Arrays;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.gyee.frame.common.base.BaseService;
import com.gyee.frame.common.support.Convert;
import com.gyee.frame.mapper.auto.GyeeroleMapper;
import com.gyee.frame.model.auto.Gyeerole;
import com.gyee.frame.model.auto.GyeeroleExample;
import com.gyee.frame.model.custom.Tablepar;
import com.gyee.frame.util.SnowflakeIdWorker;

/**
 *  GyeeroleService
 * @Title: GyeeroleService.java 
 * @Package com.gyee.frame.service 
 * @author gyee_自动生成
 * @email 1@qq.com
 * @date 2020-04-16 13:20:51  
 **/
@Service
public class GyeeroleService implements BaseService<Gyeerole, GyeeroleExample>{
	@Autowired
	private GyeeroleMapper gyeeroleMapper;
	
      	   	      	      	      	
	/**
	 * 分页查询
	 * @param pageNum
	 * @param pageSize
	 * @return
	 */
	 public PageInfo<Gyeerole> list(Tablepar tablepar,String name){
	        GyeeroleExample testExample=new GyeeroleExample();
	        testExample.setOrderByClause("id ASC");
	        if(name!=null&&!"".equals(name)){
	        	testExample.createCriteria().andNameLike("%"+name+"%");
	        }

	        PageHelper.startPage(tablepar.getPageNum(), tablepar.getPageSize());
	        List<Gyeerole> list= gyeeroleMapper.selectByExample(testExample);
	        PageInfo<Gyeerole> pageInfo = new PageInfo<Gyeerole>(list);
	        return  pageInfo;
	 }

	@Override
	public int deleteByPrimaryKey(String ids) {
				
			List<String> lista=Convert.toListStrArray(ids);
			GyeeroleExample example=new GyeeroleExample();
			example.createCriteria().andIdIn(lista);
			return gyeeroleMapper.deleteByExample(example);
			
				
	}
	
	
	@Override
	public Gyeerole selectByPrimaryKey(String id) {
				
			return gyeeroleMapper.selectByPrimaryKey(id);
				
	}

	
	@Override
	public int updateByPrimaryKeySelective(Gyeerole record) {
		return gyeeroleMapper.updateByPrimaryKeySelective(record);
	}
	
	
	/**
	 * 添加
	 */
	@Override
	public int insertSelective(Gyeerole record) {
				
		//添加雪花主键id
		record.setId(SnowflakeIdWorker.getUUID());
			
				
		return gyeeroleMapper.insertSelective(record);
	}
	
	
	@Override
	public int updateByExampleSelective(Gyeerole record, GyeeroleExample example) {
		
		return gyeeroleMapper.updateByExampleSelective(record, example);
	}

	
	@Override
	public int updateByExample(Gyeerole record, GyeeroleExample example) {
		
		return gyeeroleMapper.updateByExample(record, example);
	}

	@Override
	public List<Gyeerole> selectByExample(GyeeroleExample example) {
		
		return gyeeroleMapper.selectByExample(example);
	}

	
	@Override
	public long countByExample(GyeeroleExample example) {
		
		return gyeeroleMapper.countByExample(example);
	}

	
	@Override
	public int deleteByExample(GyeeroleExample example) {
		
		return gyeeroleMapper.deleteByExample(example);
	}
	
	/**
	 * 检查name
	 * @param gyeerole
	 * @return
	 */
	public int checkNameUnique(Gyeerole gyeerole){
		GyeeroleExample example=new GyeeroleExample();
		example.createCriteria().andNameEqualTo(gyeerole.getName());
		List<Gyeerole> list=gyeeroleMapper.selectByExample(example);
		return list.size();
	}
	
	/**
	 * 
		 *@author:Li Miao
		 *
		 *@description: 查询用户角色信息
		 *
		 *@param:id
		 *
		 *@return:List<Gyeerole>
		 *
		 *@createTime:2020年4月16日
		 *
	 */
	public List<Gyeerole> queryRoleByUserId(String userid){
		return gyeeroleMapper.queryRoleByUserId(userid);
	}


}
